!!com.aptana.scripting.model.BundleElement
author: Christopher Williams
children:
- !!com.aptana.scripting.model.MenuElement
  children:
  - children: &id001 []
    commandName: Newline - \n
    customProperties: null
    displayName: Newline - \n
    id: null
    locationURI: null
    path: bundle.rb
    scope: null
  commandName: insert.ruby.source.newline
  customProperties: null
  displayName: insert.ruby.source.newline
  id: null
  locationURI: null
  path: bundle.rb
  scope: null
- !!com.aptana.scripting.model.MenuElement
  children:
  - children: *id001
    commandName: and Insert Terminator
    customProperties: null
    displayName: and Insert Terminator
    id: null
    locationURI: null
    path: bundle.rb
    scope: null
  commandName: insert.ruby.source.insert_terminator
  customProperties: null
  displayName: insert.ruby.source.insert_terminator
  id: null
  locationURI: null
  path: bundle.rb
  scope: null
- !!com.aptana.scripting.model.MenuElement
  children:
  - children: *id001
    commandName: Toggle camelCase / snake_case / PascalCase
    customProperties: null
    displayName: Toggle camelCase / snake_case / PascalCase
    id: null
    locationURI: null
    path: bundle.rb
    scope: null
  commandName: edit.ruby.source.toggle_case
  customProperties: null
  displayName: edit.ruby.source.toggle_case
  id: null
  locationURI: null
  path: bundle.rb
  scope: null
- !!com.aptana.scripting.model.MenuElement
  children:
  - children: *id001
    commandName: 注释分隔条(&N)
    customProperties: null
    displayName: 注释分隔条(&N)
    id: null
    locationURI: null
    path: bundle.rb
    scope: null
  commandName: edit.ruby.source.comment_banner
  customProperties: null
  displayName: edit.ruby.source.comment_banner
  id: null
  locationURI: null
  path: bundle.rb
  scope: null
- !!com.aptana.scripting.model.MenuElement
  children:
  - children: *id001
    commandName: 文件头注释(&H)
    customProperties: null
    displayName: 文件头注释(&H)
    id: null
    locationURI: null
    path: bundle.rb
    scope: null
  commandName: edit.ruby.source.comment_header
  customProperties: null
  displayName: edit.ruby.source.comment_header
  id: null
  locationURI: null
  path: bundle.rb
  scope: null
- !!com.aptana.scripting.model.MenuElement
  children:
  - children:
    - children:
      - children: *id001
        commandName: All Levels
        customProperties: null
        displayName: All Levels
        id: null
        locationURI: null
        path: bundle.rb
        scope: null
      - children: *id001
        commandName: '1'
        customProperties: null
        displayName: '1'
        id: null
        locationURI: null
        path: bundle.rb
        scope: null
      - children: *id001
        commandName: '2'
        customProperties: null
        displayName: '2'
        id: null
        locationURI: null
        path: bundle.rb
        scope: null
      - children: *id001
        commandName: '3'
        customProperties: null
        displayName: '3'
        id: null
        locationURI: null
        path: bundle.rb
        scope: null
      - children: *id001
        commandName: '4'
        customProperties: null
        displayName: '4'
        id: null
        locationURI: null
        path: bundle.rb
        scope: null
      - children: *id001
        commandName: '5'
        customProperties: null
        displayName: '5'
        id: null
        locationURI: null
        path: bundle.rb
        scope: null
      - children: *id001
        commandName: '6'
        customProperties: null
        displayName: '6'
        id: null
        locationURI: null
        path: bundle.rb
        scope: null
      - children: *id001
        commandName: '7'
        customProperties: null
        displayName: '7'
        id: null
        locationURI: null
        path: bundle.rb
        scope: null
      - children: *id001
        commandName: '8'
        customProperties: null
        displayName: '8'
        id: null
        locationURI: null
        path: bundle.rb
        scope: null
      - children: *id001
        commandName: '9'
        customProperties: null
        displayName: '9'
        id: null
        locationURI: null
        path: bundle.rb
        scope: null
      commandName: Toggle Foldings at Level
      customProperties: null
      displayName: Toggle Foldings at Level
      id: null
      locationURI: null
      path: bundle.rb
      scope: null
    commandName: Folding
    customProperties: null
    displayName: Folding
    id: null
    locationURI: null
    path: bundle.rb
    scope: null
  - children:
    - children: *id001
      commandName: Comment Line / Selection
      customProperties: null
      displayName: Comment Line / Selection
      id: null
      locationURI: null
      path: bundle.rb
      scope: null
    - children: *id001
      commandName: '-'
      customProperties: null
      displayName: '-'
      id: null
      locationURI: null
      path: bundle.rb
      scope: null
    - children: *id001
      commandName: 注释分隔条(&N)
      customProperties: null
      displayName: 注释分隔条(&N)
      id: null
      locationURI: null
      path: bundle.rb
      scope: null
    - children: *id001
      commandName: 文件头注释(&H)
      customProperties: null
      displayName: 文件头注释(&H)
      id: null
      locationURI: null
      path: bundle.rb
      scope: null
    - children: *id001
      commandName: Reformat Comment
      customProperties: null
      displayName: Reformat Comment
      id: null
      locationURI: null
      path: bundle.rb
      scope: null
    commandName: 代码注释
    customProperties: null
    displayName: 代码注释
    id: null
    locationURI: null
    path: bundle.rb
    scope: null
  - children:
    - children: *id001
      commandName: Single Quotes - \'...\'
      customProperties: null
      displayName: Single Quotes - \'...\'
      id: null
      locationURI: null
      path: bundle.rb
      scope: null
    - children: *id001
      commandName: Double Quotes - \"...\"
      customProperties: null
      displayName: Double Quotes - \"...\"
      id: null
      locationURI: null
      path: bundle.rb
      scope: null
    - children: *id001
      commandName: Newline - \n
      customProperties: null
      displayName: Newline - \n
      id: null
      locationURI: null
      path: bundle.rb
      scope: null
    commandName: Insert Escaped
    customProperties: null
    displayName: Insert Escaped
    id: null
    locationURI: null
    path: bundle.rb
    scope: null
  - children: *id001
    commandName: '-'
    customProperties: null
    displayName: '-'
    id: null
    locationURI: null
    path: bundle.rb
    scope: null
  - children: *id001
    commandName: Toggle Single / Double String Quotes
    customProperties: null
    displayName: Toggle Single / Double String Quotes
    id: null
    locationURI: null
    path: bundle.rb
    scope: null
  - children: *id001
    commandName: Toggle camelCase / snake_case / PascalCase
    customProperties: null
    displayName: Toggle camelCase / snake_case / PascalCase
    id: null
    locationURI: null
    path: bundle.rb
    scope: null
  - children: *id001
    commandName: '-'
    customProperties: null
    displayName: '-'
    id: null
    locationURI: null
    path: bundle.rb
    scope: null
  - children:
    - children: *id001
      commandName: and Insert LF
      customProperties: null
      displayName: and Insert LF
      id: null
      locationURI: null
      path: bundle.rb
      scope: null
    - children: *id001
      commandName: and Insert Terminator
      customProperties: null
      displayName: and Insert Terminator
      id: null
      locationURI: null
      path: bundle.rb
      scope: null
    - children: *id001
      commandName: and Insert Terminator + LF
      customProperties: null
      displayName: and Insert Terminator + LF
      id: null
      locationURI: null
      path: bundle.rb
      scope: null
    commandName: Move to EOL
    customProperties: null
    displayName: Move to EOL
    id: null
    locationURI: null
    path: bundle.rb
    scope: null
  - children: *id001
    commandName: '-'
    customProperties: null
    displayName: '-'
    id: null
    locationURI: null
    path: bundle.rb
    scope: null
  - children: *id001
    commandName: Align Assignments
    customProperties: null
    displayName: Align Assignments
    id: null
    locationURI: null
    path: bundle.rb
    scope: null
  commandName: Source
  customProperties: null
  displayName: Source
  id: null
  locationURI: null
  path: bundle.rb
  scope: null
- !!com.aptana.scripting.model.EnvironmentElement {customProperties: null, displayName: environment-89d51161-5a21-4b6b-b316-8041b5b1b700,
  path: bundle.rb, scope: source}
- !!com.aptana.scripting.model.SmartTypingPairsElement
  customProperties: null
  displayName: smart_typing_pairs-0a8a8428-c099-49ff-bca2-6bc57d87b008
  pairs: ['"', '"', (, ), '{', '}', '[', ']', '''', '''', '`', '`']
  path: bundle.rb
  scope: source
- !!com.aptana.scripting.model.SmartTypingPairsElement
  customProperties: null
  displayName: smart_typing_pairs-8289dfa7-8692-4f9e-a87b-af64f6ce61d5
  pairs: ['"', '"', (, ), '{', '}', '[', ']']
  path: bundle.rb
  scope: string.quoted.double, comment
- !!com.aptana.scripting.model.CommandElement
  async: false
  customProperties: null
  displayName: Align Assignments
  id: null
  input: [selection, document]
  inputPath: null
  keyBindingMap: null
  menuId: null
  outputPath: null
  outputType: replace_selection
  path: commands\align_assignments.rb
  runType: current_thread
  scope: null
  workingDirectoryType: UNDEFINED
- !!com.aptana.scripting.model.CommandElement
  async: false
  customProperties: null
  displayName: All Levels
  id: null
  input: [none]
  inputPath: null
  keyBindingMap: null
  menuId: null
  outputPath: null
  outputType: discard
  path: commands\folding.rb
  runType: current_thread
  scope: null
  workingDirectoryType: UNDEFINED
- !!com.aptana.scripting.model.CommandElement
  async: false
  customProperties: null
  displayName: '1'
  id: null
  input: [none]
  inputPath: null
  keyBindingMap: null
  menuId: null
  outputPath: null
  outputType: discard
  path: commands\folding.rb
  runType: current_thread
  scope: null
  workingDirectoryType: UNDEFINED
- !!com.aptana.scripting.model.CommandElement
  async: false
  customProperties: null
  displayName: '2'
  id: null
  input: [none]
  inputPath: null
  keyBindingMap: null
  menuId: null
  outputPath: null
  outputType: discard
  path: commands\folding.rb
  runType: current_thread
  scope: null
  workingDirectoryType: UNDEFINED
- !!com.aptana.scripting.model.CommandElement
  async: false
  customProperties: null
  displayName: '3'
  id: null
  input: [none]
  inputPath: null
  keyBindingMap: null
  menuId: null
  outputPath: null
  outputType: discard
  path: commands\folding.rb
  runType: current_thread
  scope: null
  workingDirectoryType: UNDEFINED
- !!com.aptana.scripting.model.CommandElement
  async: false
  customProperties: null
  displayName: '4'
  id: null
  input: [none]
  inputPath: null
  keyBindingMap: null
  menuId: null
  outputPath: null
  outputType: discard
  path: commands\folding.rb
  runType: current_thread
  scope: null
  workingDirectoryType: UNDEFINED
- !!com.aptana.scripting.model.CommandElement
  async: false
  customProperties: null
  displayName: '5'
  id: null
  input: [none]
  inputPath: null
  keyBindingMap: null
  menuId: null
  outputPath: null
  outputType: discard
  path: commands\folding.rb
  runType: current_thread
  scope: null
  workingDirectoryType: UNDEFINED
- !!com.aptana.scripting.model.CommandElement
  async: false
  customProperties: null
  displayName: '6'
  id: null
  input: [none]
  inputPath: null
  keyBindingMap: null
  menuId: null
  outputPath: null
  outputType: discard
  path: commands\folding.rb
  runType: current_thread
  scope: null
  workingDirectoryType: UNDEFINED
- !!com.aptana.scripting.model.CommandElement
  async: false
  customProperties: null
  displayName: '7'
  id: null
  input: [none]
  inputPath: null
  keyBindingMap: null
  menuId: null
  outputPath: null
  outputType: discard
  path: commands\folding.rb
  runType: current_thread
  scope: null
  workingDirectoryType: UNDEFINED
- !!com.aptana.scripting.model.CommandElement
  async: false
  customProperties: null
  displayName: '8'
  id: null
  input: [none]
  inputPath: null
  keyBindingMap: null
  menuId: null
  outputPath: null
  outputType: discard
  path: commands\folding.rb
  runType: current_thread
  scope: null
  workingDirectoryType: UNDEFINED
- !!com.aptana.scripting.model.CommandElement
  async: false
  customProperties: null
  displayName: '9'
  id: null
  input: [none]
  inputPath: null
  keyBindingMap: null
  menuId: null
  outputPath: null
  outputType: discard
  path: commands\folding.rb
  runType: current_thread
  scope: null
  workingDirectoryType: UNDEFINED
- !!com.aptana.scripting.model.CommandElement
  async: false
  customProperties: null
  displayName: 多行注释(&B)
  id: null
  input: [selection, none]
  inputPath: null
  keyBindingMap: null
  menuId: null
  outputPath: null
  outputType: insert_as_snippet
  path: commands\insert_block_comment.rb
  runType: current_thread
  scope: null
  workingDirectoryType: UNDEFINED
- !!com.aptana.scripting.model.CommandElement
  async: false
  customProperties:
    prefix_values: [head]
  displayName: 文件头注释(&H)
  id: null
  input: [none]
  inputPath: null
  keyBindingMap: null
  menuId: null
  outputPath: null
  outputType: insert_as_snippet
  path: commands\insert_source_header.rb
  runType: current_thread
  scope: null
  workingDirectoryType: UNDEFINED
- !!com.aptana.scripting.model.CommandElement
  async: false
  customProperties: null
  displayName: and Insert Terminator
  id: null
  input: [selection, line]
  inputPath: null
  keyBindingMap: null
  menuId: null
  outputPath: null
  outputType: insert_as_snippet
  path: commands\move_to_eol_and_insert_terminator.rb
  runType: current_thread
  scope: source
  workingDirectoryType: UNDEFINED
- !!com.aptana.scripting.model.CommandElement
  async: false
  customProperties: null
  displayName: and Insert Terminator + LF
  id: null
  input: [line]
  inputPath: null
  keyBindingMap: null
  menuId: null
  outputPath: null
  outputType: discard
  path: commands\move_to_eol_and_insert_terminator_and_lf.rb
  runType: current_thread
  scope: source
  workingDirectoryType: UNDEFINED
- !!com.aptana.scripting.model.CommandElement
  async: false
  customProperties: null
  displayName: Reformat Comment
  id: null
  input: [selection, undefined]
  inputPath: null
  keyBindingMap: null
  menuId: null
  outputPath: null
  outputType: insert_as_snippet
  path: commands\reformat_comment.rb
  runType: current_thread
  scope: null
  workingDirectoryType: UNDEFINED
- !!com.aptana.scripting.model.CommandElement
  async: false
  customProperties: null
  displayName: Convert Spaces to Tabs (Estimating Indent)
  id: null
  input: [document]
  inputPath: null
  keyBindingMap: null
  menuId: null
  outputPath: null
  outputType: replace_document
  path: commands\tabify.rb
  runType: current_thread
  scope: null
  workingDirectoryType: UNDEFINED
- !!com.aptana.scripting.model.CommandElement
  async: false
  customProperties: null
  displayName: Toggle camelCase / snake_case / PascalCase
  id: null
  input: [selection, word]
  inputPath: null
  keyBindingMap: null
  menuId: null
  outputPath: null
  outputType: replace_selection
  path: commands\toggle_camelcase_vs_underscore.rb
  runType: current_thread
  scope: source
  workingDirectoryType: UNDEFINED
- !!com.aptana.scripting.model.CommandElement
  async: false
  customProperties: null
  displayName: Comment Line / Selection
  id: null
  input: [selection, line]
  inputPath: null
  keyBindingMap: null
  menuId: null
  outputPath: null
  outputType: discard
  path: commands\toggle_comment.rb
  runType: current_thread
  scope: null
  workingDirectoryType: UNDEFINED
- !!com.aptana.scripting.model.CommandElement
  async: false
  customProperties: null
  displayName: Toggle Single / Double String Quotes
  id: null
  input: [selection, undefined]
  inputPath: null
  keyBindingMap: null
  menuId: null
  outputPath: null
  outputType: replace_selection
  path: commands\toggle_single_double_string_quotes.rb
  runType: current_thread
  scope: string.quoted.single, string.quoted.double
  workingDirectoryType: UNDEFINED
- !!com.aptana.scripting.model.CommandElement
  async: false
  customProperties: null
  displayName: Newline - \n
  id: null
  input: [none]
  inputPath: null
  keyBindingMap: null
  menuId: null
  outputPath: null
  outputType: insert_as_snippet
  path: snippets\snippets.rb
  runType: current_thread
  scope: source
  workingDirectoryType: UNDEFINED
- !!com.aptana.scripting.model.CommandElement
  async: false
  customProperties: null
  displayName: Double Quotes - \"...\"
  id: null
  input: [none]
  inputPath: null
  keyBindingMap: null
  menuId: null
  outputPath: null
  outputType: insert_as_snippet
  path: snippets\snippets.rb
  runType: current_thread
  scope: null
  workingDirectoryType: UNDEFINED
- !!com.aptana.scripting.model.CommandElement
  async: false
  customProperties: null
  displayName: Single Quotes - \'...\'
  id: null
  input: [none]
  inputPath: null
  keyBindingMap: null
  menuId: null
  outputPath: null
  outputType: insert_as_snippet
  path: snippets\snippets.rb
  runType: current_thread
  scope: null
  workingDirectoryType: UNDEFINED
- !!com.aptana.scripting.model.CommandElement
  async: false
  customProperties: null
  displayName: 注释分隔条(&N)
  id: null
  input: [none]
  inputPath: null
  keyBindingMap: null
  menuId: null
  outputPath: null
  outputType: insert_as_snippet
  path: snippets\snippets.rb
  runType: current_thread
  scope: null
  workingDirectoryType: UNDEFINED
copyright: Copyright 2011 Appcelerator Inc. Distributed under the MIT license.
customProperties: null
decreaseIndentMarkers: &id002 {}
description: A port of the TextMate bundle. Miscellaneous support for working with source code. This bundle is essential, e.g. it allows you to toggle comments on ?/.
displayName: Source
fileTypeRegistry: *id002
fileTypes: *id001
foldingStartMarkers: *id002
foldingStopMarkers: *id002
increaseIndentMarkers: *id002
license: null
licenseUrl: null
path: bundle.rb
repository: git://github.com/aptana/source.ruble.git
visible: true
